Package org.zkoss.stateless.sul

## Interface IGroupfoot<I extends IAnyGroup>

- All Superinterfaces:
    `IChildable<IGroupfoot<I>,​I>`, `IComponent<IGroupfoot<I>>`, `IGroupfootChild<IGroupfoot<I>>`, `IHtmlBasedComponent<IGroupfoot<I>>`, `IRowBase<IGroupfoot<I>>`, `IXulElement<IGroupfoot<I>>`

      public interface IGroupfoot<I extends IAnyGroup>
      extends IGroupfootChild<IGroupfoot<I>>, IChildable<IGroupfoot<I>,​I>

  Immutable `Groupfoot` component
  Author:
    katherine
  See Also:
    `Groupfoot`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IGroupfoot.Builder<I extends IAnyGroup>` | Builds instances of type `IGroupfoot`.
    `static class` | `IGroupfoot.Updater` | Builds an updater of type `IGroupfoot` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IGroupfoot<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getLabel()` | Returns the label of the first `ILabel` it contains.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> IGroupfoot<I>` | `of​(I... children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IGroupfoot<I>` | `of​(java.lang.Iterable<? extends I> children)` | Returns the instance with the given any group children.
    `static <I extends IAnyGroup> IGroupfoot<I>` | `of​(java.lang.String label)` | Returns the instance with the given label.
    `static <I extends IAnyGroup> IGroupfoot<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IGroupfoot<I>` | `withLabel​(java.lang.String label)` | Returns a copy of `this` immutable component with the specified `label`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IRowBase

      `getAlign, getIndex, getValign, isLoaded, isNowrap, withAlign, withIndex, withNowrap, withValign`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IGroupfoot<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.grid.Groupfoot"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`
      Returns:

    - #### getLabel

          @Nullable
          default java.lang.String getLabel()

      Returns the label of the first `ILabel` it contains.

      Default: `null`

    - #### withLabel

          IGroupfoot<I> withLabel​(@Nullable
                                  java.lang.String label)

      Returns a copy of `this` immutable component with the specified `label`.

      Sets the value of the `ILabel` it contains.

      If it is not created, we automatically create it.

      Parameters:
        `label` - The label of the first child

        Default: `null`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static <I extends IAnyGroup> IGroupfoot<I> of​(java.lang.String label)

      Returns the instance with the given label.
      Parameters:
        `label` - The label that the first cell holds.

    - #### of

          static <I extends IAnyGroup> IGroupfoot<I> of​(java.lang.Iterable<? extends I> children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### of

          static <I extends IAnyGroup> IGroupfoot<I> of​(I... children)

      Returns the instance with the given any group children.
      Parameters:
        `children` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### ofId

          static <I extends IAnyGroup> IGroupfoot<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component